<?php
/**
 * Link Manager 2 template for search links html list.
 *
 * (c)2012 mrdragonraaar.com
 */
if (!defined('IN_GS')) { die('you cannot load this page directly.'); }

?>
<ul>
<?php
foreach ($lm2->links() as $link)
{
	if (isset($keyword) && $keyword && ((stripos($link->name, $keyword) !== false) || (stripos($link->desc, $keyword) !== false)))
	{
		$category = $lm2->category($link->category);

		$link_page = null;
		if ((!isset($link->url) || !$link->url) && isset($link->page) && $link->page)
		{
			foreach (get_available_pages() as $page)
			{
				if (!strcmp($page['slug'], $link->page))
					$link_page = $page;
			}
		}
?>
<?php if (isset($link->page) && $link->page && $link_page) { ?>
<li><a class="lm2_link" <?php if (isset($link->desc) && $link->desc) { ?>title="<?php echo $link->desc; ?>"<?php } ?> <?php if (isset($link->target) && $link->target) { ?>target="<?php echo $link->target; ?>"<?php } ?> href="<?php echo $link_page['url']; ?>"><?php if (isset($link->icon) && $link->icon && (!isset($category) || (isset($category) && !$category->is_display_text()))) { ?><img src="<?php echo $link->icon; ?>" /><?php } ?><?php if (!isset($category) || (isset($category) && !($category->is_display_icon() && isset($link->icon) && $link->icon))) { ?><?php echo $link->name; ?><?php } ?></a><?php if (isset($category) && $category->is_show_desc() && isset($link->desc) && $link->desc) { ?><span class="lm2_desc"><?php echo nl2br($link->desc); ?></span><?php } ?></li>
<?php } else if (isset($link->url) && $link->url) { ?>
<li><a class="lm2_link" <?php if (isset($link->desc) && $link->desc) { ?>title="<?php echo $link->desc; ?>"<?php } ?> <?php if (isset($link->target) && $link->target) { ?>target="<?php echo $link->target; ?>"<?php } ?> href="<?php echo $link->url; ?>"><?php if (isset($link->icon) && $link->icon && (!isset($category) || (isset($category) && !$category->is_display_text()))) { ?><img src="<?php echo $link->icon; ?>" /><?php } ?><?php if (!isset($category) || (isset($category) && !($category->is_display_icon() && isset($link->icon) && $link->icon))) { ?><?php echo $link->name; ?><?php } ?></a><?php if (isset($category) && $category->is_show_desc() && isset($link->desc) && $link->desc) { ?><span class="lm2_desc"><?php echo nl2br($link->desc); ?></span><?php } ?></li>
<?php } else { ?>
<li><span class="lm2_link" <?php if (isset($link->desc) && $link->desc) { ?>title="<?php echo $link->desc; ?>"<?php } ?>><?php if (isset($link->icon) && $link->icon && (!isset($category) || (isset($category) && !$category->is_display_text()))) { ?><img src="<?php echo $link->icon; ?>" /><?php } ?><?php if (!isset($category) || (isset($category) && !($category->is_display_icon() && isset($link->icon) && $link->icon))) { ?><?php echo $link->name; ?><?php } ?></span><?php if (isset($category) && $category->is_show_desc() && isset($link->desc) && $link->desc) { ?><span class="lm2_desc"><?php echo nl2br($link->desc); ?></span><?php } ?></li>
<?php } ?>
<?php
	}
}
?>
</ul>

